Bug 233878 - [NEW PORT] graphics/qtpbfimageplugin: Qt image plugin for displaying Mapbox vector tiles
Summary: [NEW PORT] graphics/qtpbfimageplugin: Qt image plugin for displaying Mapbox v...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/tumic0/QtPBFImageP...
Keywords: feature, needs-qa
Depends on:
Blocks: 233893
  Show dependency treegraph
 
Reported: 2018-12-09 10:47 UTC by Nikolay Korotkiy
Modified: 2018-12-14 14:26 UTC (History)
1 user (show)

See Also:


Attachments
qt5-pbfimageplugin 1.1 (1.75 KB, patch)
2018-12-09 10:47 UTC, Nikolay Korotkiy
no flags Details | Diff
qt5-pbfimageplugin 1.1 (1.53 KB, patch)
2018-12-13 21:56 UTC, Nikolay Korotkiy
no flags Details | Diff
qtpbfimageplugin 1.1 (1.44 KB, patch)
2018-12-13 22:47 UTC, Nikolay Korotkiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Korotkiy 2018-12-09 10:47:23 UTC
Created attachment 199970 [details]
qt5-pbfimageplugin 1.1

Qt image plugin for displaying Mapbox vector tiles.
Comment 1 Tobias C. Berner freebsd_committer 2018-12-13 06:22:50 UTC
Moin moin

I'm not quite sure about the package name -- the qt5 prefix makes it seem to be an official part of Qt5.

The plist should not containt the ldconfig file. As it then contains only one fule, you should remove the plist file all tohether and specify the file inside the Makefile.

Mfg Tobias
Comment 2 Nikolay Korotkiy 2018-12-13 21:56:17 UTC
Created attachment 200093 [details]
qt5-pbfimageplugin 1.1

Removed pkg-plist.
Comment 3 Nikolay Korotkiy 2018-12-13 22:00:33 UTC
> I'm not quite sure about the package name -- the qt5 prefix makes it seem to be an official part of Qt5.

How about "qtpbfimageplugin" name?
Comment 4 Tobias C. Berner freebsd_committer 2018-12-13 22:10:51 UTC
(In reply to Nikolay Korotkiy from comment #3)
Yes, I would take that, as that is also the upstream name.

Also, would you mind getting rid of the 'Created by' line -- that should not be added to new ports.


mfg Tobias
Comment 5 Nikolay Korotkiy 2018-12-13 22:47:27 UTC
Created attachment 200094 [details]
qtpbfimageplugin 1.1

Renamed to qtpbfimageplugin.
Comment 6 commit-hook freebsd_committer 2018-12-14 14:25:34 UTC
A commit references this bug:

Author: tcberner
Date: Fri Dec 14 14:25:12 UTC 2018
New revision: 487438
URL: https://svnweb.freebsd.org/changeset/ports/487438

Log:
  New port: graphics/qtpbfimageplugin

  PR:		233878
  Submitted by:	Nikolay Korotkiy <sikmir@gmail.com>

Changes:
  head/graphics/Makefile
  head/graphics/qtpbfimageplugin/
  head/graphics/qtpbfimageplugin/Makefile
  head/graphics/qtpbfimageplugin/distinfo
  head/graphics/qtpbfimageplugin/pkg-descr
Comment 7 Tobias C. Berner freebsd_committer 2018-12-14 14:26:13 UTC
Committed. Thanks.

mfg Tobias